#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts "問題！"
puts "今の元号はなんでしょうか？"
puts "1：平成"
puts "2：令和"
while true
  print "答を入力："
  kotae = gets.chomp.to_i #解答を入力
  if kotae == 1
    puts "ブブー！不正解..."
    break
  elsif kotae == 2
    puts "ピンポーン！正解！！"
    break
  else
    puts "その選択肢はないよ"
    redo
  end
end
printf("正解は2番でした\n")
